Page MenuHomePhabricator

labtestneutron2002: reimage to stretch & rename to cloudnet2002-dev
Closed, ResolvedPublic

Description

Since trying the new puppet code involves reimaging, let's rename to the modern naming scheme while at it.

Timeline would be:

  • disable puppet in labtestneutron2002
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update
  • get the physical relabeling done (T214370)
  • done

This server belongs to the neutron setup in the labtestn deployment.

Event Timeline

aborrero created this task.Jan 21 2019, 2:07 PM
aborrero triaged this task as Normal priority.
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 485679 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestneutron2002: reimage in stretch + rename to cloudnet2002-dev

https://gerrit.wikimedia.org/r/485679

aborrero updated the task description. (Show Details)Jan 21 2019, 3:49 PM

Change 485680 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestneutron2002: rename to cloudnet2002-dev

https://gerrit.wikimedia.org/r/485680

Change 485679 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestneutron2002: reimage in stretch + rename to cloudnet2002-dev

https://gerrit.wikimedia.org/r/485679

Change 485680 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestneutron2002: rename to cloudnet2002-dev

https://gerrit.wikimedia.org/r/485680

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestneutron2002.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201901211603_aborrero_187348_labtestneutron2002_codfw_wmnet.log.

Mentioned in SAL (#wikimedia-operations) [2019-01-21T16:03:47Z] <arturo> T214303 reimaging/renaming labtestneutron2002.codfw.wmnet (jessie) to cloudnet2002-dev.codfw.wmnet (stretch)

aborrero updated the task description. (Show Details)Jan 21 2019, 4:04 PM

Completed auto-reimage of hosts:

['cloudnet2002-dev.codfw.wmnet']

Of which those FAILED:

['cloudnet2002-dev.codfw.wmnet']
aborrero updated the task description. (Show Details)Jan 21 2019, 5:08 PM

Change 485799 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudnet2002-dev: cleanup old labtestneutron2002 FQDNs

https://gerrit.wikimedia.org/r/485799

Change 485799 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudnet2002-dev: cleanup old labtestneutron2002 FQDNs

https://gerrit.wikimedia.org/r/485799

aborrero updated the task description. (Show Details)Jan 22 2019, 12:32 PM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Jan 22 2019, 12:36 PM
aborrero closed this task as Resolved.

cloudnet2002-dev - Check systemd state - CRITICAL - degraded: The system is operational but one or more units failed.

https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=cloudnet2002-dev&service=Check+systemd+state

cloudnet2002-dev - Check systemd state - CRITICAL - degraded: The system is operational but one or more units failed.

https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=cloudnet2002-dev&service=Check+systemd+state

Thanks! should be solved now.